get one transaction log
1 min
GET
https://api.upstartcommerce.com/v1/tax/transactions/{transactionId}
Path Parameters
- transactionIdstring<uuid>requiredDescriptionFormatuuid
Query Parameters
- siteIdstringDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Responses
200
- TransactionDescription
- transactionIdstring<uuid>requiredFormatuuid
- tenantstringrequired
- siteIdstringrequired
- cartIdstringrequired
- apiNamestringrequired
- requestobjectrequiredDescription
- responseobjectrequiredDescription
- creationDatestring<date-time>requiredFormatdate-time
- roundTripTimeinteger<int64>requiredFormatint64
- processedboolean
401
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
404
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/tax/transactions/{transactionId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/tax/transactions/{transactionId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/tax/transactions/{transactionId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/tax/transactions/{transactionId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success - the transaction log.
{
"transactionId": "",
"tenant": "",
"siteId": "",
"cartId": "",
"apiName": "",
"request": {},
"response": {},
"creationDate": "",
"roundTripTime": "",
"processed": false
}401
// Unauthorized-the provided credentials were invalid for this endpoint.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}404
// Not Found-the requested resource was not found in the NoChannel system.